<!DOCTYPE html>
<head>
<title>盾灵多任务推广系统 -  程序安装</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style/index.css" />
<script src="../js/jquery-1.11.1.min.js"></script>
<body>
<script>
$(function(){
   $("#install_1").click(function(){
      var mysqlip = $("#mysqlip").val();
      var mysqlusername = $("#mysqlusername").val();
      var mysqluserpass = $("#mysqluserpass").val();
      var mysqldb = $("#mysqldb").val();
      
      if(mysqlip==""){
        alert('请正确填写数据库地址!');
        return false;
      }
      if(mysqlusername==""){
        alert('请正确填写数据库账号!');
        return false;
      }
      if(mysqluserpass==""){
        alert('请正确填写数据库密码!');
        return false;
      }
      if(mysqldb==""){
        alert('请正确填写数据库名称!');
        return false;
      }
      
     $.post("mysql.php",
    {
      mysqlip:mysqlip,
      mysqlusername:mysqlusername,
      mysqluserpass:mysqluserpass,
      mysqldb:mysqldb
    },
    function(data,status){
        if(data=="ok"){
        $("#mysqlip").attr("readOnly","readonly");
        $("#mysqlusername").attr("readOnly","readonly");
        $("#mysqluserpass").attr("readOnly","readonly");
        $("#mysqldb").attr("readOnly","readonly");
        $("#install_1").css("color","#006600");
        $("#install_1").val('数据库已连接');
        $("#setupcheck").val('1');
        return false;
        }else{
        alert("检测结果:\n\n" + data);
        return false;
        }
    }); 
   });
    
    $("#install_2").click(function(){
    $.post("is_writable.php",{
        file:'config.php'
    },function(fa,fb){
        var faa = fa.split("@@@")[0];
        var sna = fa.split("@@@")[1].toUpperCase();
        $("#sn").val(sna);
        if(faa=="ok"){
        $("#install_2").css("color","#006600");
        $("#install_2").val('读写权限正常');
        $("#setupcheck2").val('1');
        return false;
        }else{
        alert('检测结果:\n\n您的网站目录无写入权限,请检查!');
        return false;
        }
        
    });
    });
    
    

 $("#install_3").click(function(){
      var mysqlip = $("#mysqlip").val();
      var mysqlusername = $("#mysqlusername").val();
      var mysqluserpass = $("#mysqluserpass").val();
      var mysqldb = $("#mysqldb").val();

      
      if(mysqlip==""){
        alert('请正确填写数据库地址!');
        return false;
      }
      if(mysqlusername==""){
        alert('请正确填写数据库账号!');
        return false;
      }
      if(mysqluserpass==""){
        alert('请正确填写数据库密码!');
        return false;
      }
      if(mysqldb==""){
        alert('请正确填写数据库名称!');
        return false;
      }

      
     $.post("setup.php",
    {
      mysqlip:mysqlip,
      mysqlusername:mysqlusername,
      mysqluserpass:mysqluserpass,
      mysqldb:mysqldb
    },
    function(install,status){
        if(install=="installok"){
        var con = confirm('恭喜:您的系统已经安装成功!\n\n后台账号 admin 密码 admin \n\n是否进入后台管理?');
        $("#install_3").hide();
        if(con){
            location.href='../admin/index.php';
            return false;
        }else{
            location.href='../index.php';
        }
        return false;
        }else{
        alert('安装时出现异常,请联系程序开发商QQ:535344220\n\n'+ install);
        return false;
        }
    }); 
   });
    
    setInterval(function(){
    var s1 = $("#setupcheck").val();
    var s2 = $("#setupcheck2").val();
    setup = parseInt(s1) + parseInt(s2);
    if(setup=="2"){
        $("#install_3").show();
    }
    },300);
    

    
});
</script>
<div id="logo">盾灵多任务推广系统安装程序</div>
<div id="main">

<table cellpadding="5" cellspacing="5" border="0">
<tr>
<td>数据库地址:</td><td><input class="text" type="text" id="mysqlip" value="localhost" /></td>
</tr>
<tr>
<td>数据库账号:</td><td><input class="text" type="text" id="mysqlusername"  /></td>
</tr>
<tr>
<td>数据库密码:</td><td><input class="text" type="text"  id="mysqluserpass" /></td>
</tr>
<tr>
<td>数据库名称:</td><td><input class="text" type="text"  id="mysqldb"  /></td>
</tr>

<tr>
<td></td>
<td align="left">
<input value="1、检测数据库连接" class="inputcheck" id="install_1"  type="button"/>
<input value="2、检测读写权限" class="inputcheck" id="install_2" type="button" /><br />
</td>
</tr>

<tr>
<td></td>
<td align="left">
<input type="hidden" value="0" id="setupcheck" /><input type="hidden" value="0" id="setupcheck2" />
<input value="立即安装系统" id="install_3" class="submit" type="button" />
</td>
</tr>


</table>
</div>